Package org.eclipse.jdt.core.refactoring.participants

# Class JavaParticipantManager

java.lang.Object
org.eclipse.jdt.core.refactoring.participants.JavaParticipantManager

public class JavaParticipantManager extends Object
Facade to access participants to the participant extension points provided by the org.eclipse.jdt.core.manipulation plug-in.

Note: this class is not intended to be extended or instantiated by clients.

Since:
  1.2
Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is not intended to be instantiated by clients.

## Method Summary

Modifier and Type
Method
Description
`static ChangeMethodSignatureParticipant[]`
`loadChangeMethodSignatureParticipants(RefactoringStatus status, RefactoringProcessor processor, IMethod method, ChangeMethodSignatureArguments arguments, IParticipantDescriptorFilter filter, String[] affectedNatures, SharableParticipants shared)`
Loads the change method signature participants for the given element.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### loadChangeMethodSignatureParticipants

public static ChangeMethodSignatureParticipant[] loadChangeMethodSignatureParticipants(RefactoringStatus status, RefactoringProcessor processor, IMethod method, ChangeMethodSignatureArguments arguments, IParticipantDescriptorFilter filter, String[] affectedNatures, SharableParticipants shared)
Loads the change method signature participants for the given element.

Parameters:
  `status` - a refactoring status to report status if problems occurred while loading the participants
  `processor` - the processor that will own the participants
  `method` - the method to be changed
  `arguments` - the change method signature arguments describing the change
  `filter` - a participant filter to exclude certain participants, or `null` if no filtering is desired
  `affectedNatures` - an array of project natures affected by the refactoring
  `shared` - a list of shared participants
Returns:
  an array of change method signature participants